import type { CanvasContext, DataURLOptions, GlobalRuntime } from '@antv/g-lite';
import type { ContextService } from '@antv/g-lite';
export declare class SVGContextService implements ContextService<SVGElement> {
    private $container;
    private $namespace;
    private dpr;
    private canvasConfig;
    constructor(context: GlobalRuntime & CanvasContext);
    init(): Promise<void>;
    getDomElement(): SVGElement;
    getContext(): SVGElement;
    getDPR(): number;
    getBoundingClientRect(): DOMRect;
    destroy(): void;
    resize(width: number, height: number): void;
    applyCursorStyle(cursor: string): void;
    toDataURL(options?: Partial<DataURLOptions>): Promise<string>;
}
//# sourceMappingURL=SVGContextService.d.ts.map